configure
上传用户:rrhhcc
上传日期:2015-12-11
资源大小:54129k
文件大小:268k
- fi
- echo "$as_me:$LINENO: checking for libotcl$OTCL_VERS" >&5
- echo $ECHO_N "checking for libotcl$OTCL_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_OTCL=FAIL
- NS_PACKAGE_otcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$OTCL_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$OTCL_LIB_PLACES_D"
- fi
- V_LIB_OTCL=""
- full_lib_name="otcl$OTCL_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_OTCL="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_OTCL" = "FAIL" ; then
- NS_PACKAGE_otcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_OTCL="-R$dir $V_LIB_OTCL"
- fi
- ac_tr_lib=HAVE_LIB`echo otcl$OTCL_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_OTCL $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_otcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_OTCL" >&5
- echo "${ECHO_T}$V_LIB_OTCL" >&6
- fi
- fi
- NS_PACKAGE_otcl_VALID=false
- if $NS_PACKAGE_otcl_UNDERWAY; then
- if $NS_PACKAGE_otcl_COMPLETE; then
- : All components of otcl found.
- NS_PACKAGE_otcl_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of otcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where otcl is
- using the argument --with-otcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-otcl=no." >&5
- echo "$as_me: error: Installation of otcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where otcl is
- using the argument --with-otcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-otcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xyes" = xyes; then
- if $NS_PACKAGE_otcl_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: otcl is required but could not be completely found.
- Please correct the problem by telling configure where otcl is
- using the argument --with-otcl=/path/to/package,
- or the package is not required, disable it with --with-otcl=no." >&5
- echo "$as_me: error: otcl is required but could not be completely found.
- Please correct the problem by telling configure where otcl is
- using the argument --with-otcl=/path/to/package,
- or the package is not required, disable it with --with-otcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- # Check whether --with-Tcl or --without-Tcl was given.
- if test "${with_Tcl+set}" = set; then
- withval="$with_Tcl"
- { { echo "$as_me:$LINENO: error: The --with-Tcl option has been replaced with --with-tclcl.
- Please insure you have an up-to-date copy of TclCL and re-run your configuration." >&5
- echo "$as_me: error: The --with-Tcl option has been replaced with --with-tclcl.
- Please insure you have an up-to-date copy of TclCL and re-run your configuration." >&2;}
- { (exit 1); exit 1; }; }
- fi;
- # Check whether --with-tclcl or --without-tclcl was given.
- if test "${with_tclcl+set}" = set; then
- withval="$with_tclcl"
- d=$withval
- else
- d=""
- fi;
- TCLCL_VERS=1.19
- TCLCL_ALT_VERS=1.0
- TCLCL_H_PLACES="
- ../tclcl-$TCLCL_VERS
- ../tclcl-$TCLCL_ALT_VERS
- ../tclcl
- ../TclCL
- ../Tcl-$TCLCL_VERS
- ../Tcl-$TCLCL_ALT_VERS
- ../Tcl
- /usr/src/local/Tcl
- /usr/src/local/Tcl-1.0
- /import/Tcl/include
- /usr/local/include
- /usr/contrib/include
- /usr/include"
- TCLCL_H_PLACES_D="$d
- $d/include"
- TCLCL_LIB_PLACES="
- ../tclcl-$TCLCL_VERS
- ../tclcl-$TCLCL_ALT_VERS
- ../tclcl
- ../TclCL
- ../Tcl-$TCLCL_VERS
- ../Tcl-$TCLCL_ALT_VERS
- ../Tcl
- $x_libraries
- /usr/contrib/lib
- /usr/local/lib
- /usr/lib
- /usr/src/local/Tcl
- /usr/src/local/Tcl-1.0"
- TCLCL_LIB_PLACES_D="
- $d
- $d/lib
- $d/bin"
- TCLCL_PROG_PLACES="
- ../tclcl-$TCLCL_VERS
- ../tclcl-$TCLCL_ALT_VERS
- ../tclcl
- ../TclCL
- ../Tcl-$TCLCL_VERS
- ../Tcl-$TCLCL_ALT_VERS
- ../Tcl
- $prefix/bin
- $x_libraries
- /usr/contrib/bin
- /usr/local/bin
- /usr/bin
- /usr/src/local/Tcl
- /usr/src/local/Tcl-1.0
- "
- TCLCL_PROG_PLACES_D="
- $d
- $d/bin"
- NS_PACKAGE_tclcl_UNDERWAY=false
- NS_PACKAGE_tclcl_COMPLETE=true
- echo "$as_me:$LINENO: checking for tclcl.h" >&5
- echo $ECHO_N "checking for tclcl.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_TCLCL=FAIL
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCLCL_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCLCL_H_PLACES_D"
- fi
- V_INCLUDE_TCLCL=""
- found=""
- for dir in $places; do
- if test -r $dir/tclcl.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_TCLCL="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo tclcl.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_TCLCL $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_tclcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_TCLCL" >&5
- echo "${ECHO_T}$V_INCLUDE_TCLCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for libtclcl$tclcl_VERS" >&5
- echo $ECHO_N "checking for libtclcl$tclcl_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_TCLCL=FAIL
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCLCL_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCLCL_LIB_PLACES_D"
- fi
- V_LIB_TCLCL=""
- full_lib_name="tclcl$tclcl_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_TCLCL="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_TCLCL" = "FAIL" ; then
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_TCLCL="-R$dir $V_LIB_TCLCL"
- fi
- ac_tr_lib=HAVE_LIB`echo tclcl$tclcl_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_TCLCL $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_tclcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_TCLCL" >&5
- echo "${ECHO_T}$V_LIB_TCLCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for tcl2c++" >&5
- echo $ECHO_N "checking for tcl2c++... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_TCL2CPP_DIR=FAIL
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCLCL_PROG_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCLCL_PROG_PLACES_D"
- fi
- V_TCL2CPP_DIR=""
- for dir in $places; do
- if test -r $dir/tcl2c++; then
- V_TCL2CPP_DIR="$dir"
- break
- fi
- done
- if test "FAIL$V_TCL2CPP_DIR" = "FAIL" ; then
- NS_PACKAGE_tclcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- NS_PACKAGE_tclcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_TCL2CPP_DIR" >&5
- echo "${ECHO_T}$V_TCL2CPP_DIR" >&6
- fi
- fi
- V_TCL2CPP=$V_TCL2CPP_DIR/tcl2c++
- NS_PACKAGE_tclcl_VALID=false
- if $NS_PACKAGE_tclcl_UNDERWAY; then
- if $NS_PACKAGE_tclcl_COMPLETE; then
- : All components of tclcl found.
- NS_PACKAGE_tclcl_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of tclcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tclcl is
- using the argument --with-tclcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tclcl=no." >&5
- echo "$as_me: error: Installation of tclcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tclcl is
- using the argument --with-tclcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tclcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xyes" = xyes; then
- if $NS_PACKAGE_tclcl_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: tclcl is required but could not be completely found.
- Please correct the problem by telling configure where tclcl is
- using the argument --with-tclcl=/path/to/package,
- or the package is not required, disable it with --with-tclcl=no." >&5
- echo "$as_me: error: tclcl is required but could not be completely found.
- Please correct the problem by telling configure where tclcl is
- using the argument --with-tclcl=/path/to/package,
- or the package is not required, disable it with --with-tclcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- echo "$as_me:$LINENO: checking return type of random" >&5
- echo $ECHO_N "checking return type of random... $ECHO_C" >&6
- touch confdefs.h
- if test "$cross_compiling" = yes; then
- echo "$as_me:$LINENO: result: cross compiling--guessing int" >&5
- echo "${ECHO_T}cross compiling--guessing int" >&6
- cat >>confdefs.h <<_ACEOF
- #define RANDOM_RETURN_TYPE int
- _ACEOF
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <stdlib.h>
- #include "confdefs.h"
- long random() { return 1; }
- main() { exit(0); }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: long" >&5
- echo "${ECHO_T}long" >&6
- cat >>confdefs.h <<_ACEOF
- #define RANDOM_RETURN_TYPE long
- _ACEOF
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ( exit $ac_status )
- echo "$as_me:$LINENO: result: int" >&5
- echo "${ECHO_T}int" >&6
- cat >>confdefs.h <<_ACEOF
- #define RANDOM_RETURN_TYPE int
- _ACEOF
- fi
- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: checking for int8_t" >&5
- echo $ECHO_N "checking for int8_t... $ECHO_C" >&6
- if test "${ac_cv_type_int8_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((int8_t *) 0)
- return 0;
- if (sizeof (int8_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_int8_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_int8_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_int8_t" >&5
- echo "${ECHO_T}$ac_cv_type_int8_t" >&6
- if test $ac_cv_type_int8_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define int8_t signed char
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for int16_t" >&5
- echo $ECHO_N "checking for int16_t... $ECHO_C" >&6
- if test "${ac_cv_type_int16_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((int16_t *) 0)
- return 0;
- if (sizeof (int16_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_int16_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_int16_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_int16_t" >&5
- echo "${ECHO_T}$ac_cv_type_int16_t" >&6
- if test $ac_cv_type_int16_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define int16_t short
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for int32_t" >&5
- echo $ECHO_N "checking for int32_t... $ECHO_C" >&6
- if test "${ac_cv_type_int32_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((int32_t *) 0)
- return 0;
- if (sizeof (int32_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_int32_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_int32_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_int32_t" >&5
- echo "${ECHO_T}$ac_cv_type_int32_t" >&6
- if test $ac_cv_type_int32_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define int32_t int
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for u_int8_t" >&5
- echo $ECHO_N "checking for u_int8_t... $ECHO_C" >&6
- if test "${ac_cv_type_u_int8_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((u_int8_t *) 0)
- return 0;
- if (sizeof (u_int8_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_u_int8_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_u_int8_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_u_int8_t" >&5
- echo "${ECHO_T}$ac_cv_type_u_int8_t" >&6
- if test $ac_cv_type_u_int8_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define u_int8_t unsigned char
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for u_int16_t" >&5
- echo $ECHO_N "checking for u_int16_t... $ECHO_C" >&6
- if test "${ac_cv_type_u_int16_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((u_int16_t *) 0)
- return 0;
- if (sizeof (u_int16_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_u_int16_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_u_int16_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_u_int16_t" >&5
- echo "${ECHO_T}$ac_cv_type_u_int16_t" >&6
- if test $ac_cv_type_u_int16_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define u_int16_t unsigned short
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking for u_int32_t" >&5
- echo $ECHO_N "checking for u_int32_t... $ECHO_C" >&6
- if test "${ac_cv_type_u_int32_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((u_int32_t *) 0)
- return 0;
- if (sizeof (u_int32_t))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_u_int32_t=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_u_int32_t=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_u_int32_t" >&5
- echo "${ECHO_T}$ac_cv_type_u_int32_t" >&6
- if test $ac_cv_type_u_int32_t = yes; then
- :
- else
- cat >>confdefs.h <<_ACEOF
- #define u_int32_t unsigned int
- _ACEOF
- fi
- for ac_func in strtoq strtoll
- do
- as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
- echo "$as_me:$LINENO: checking for $ac_func" >&5
- echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
- if eval "test "${$as_ac_var+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
- For example, HP-UX 11i <limits.h> declares gettimeofday. */
- #define $ac_func innocuous_$ac_func
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char $ac_func (); below.
- Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- <limits.h> exists even on freestanding compilers. */
- #ifdef __STDC__
- # include <limits.h>
- #else
- # include <assert.h>
- #endif
- #undef $ac_func
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- {
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char $ac_func ();
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
- choke me
- #else
- char (*f) () = $ac_func;
- #endif
- #ifdef __cplusplus
- }
- #endif
- int
- main ()
- {
- return f != $ac_func;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_var=yes"
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- eval "$as_ac_var=no"
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
- if test `eval echo '${'$as_ac_var'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
- _ACEOF
- fi
- done
- INT64_T_ALTERNATIVE=none
- HAVE_SUPPORTING_FUNC=false
- echo "$as_me:$LINENO: checking for long" >&5
- echo $ECHO_N "checking for long... $ECHO_C" >&6
- if test "${ac_cv_type_long+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- if ((long *) 0)
- return 0;
- if (sizeof (long))
- return 0;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_type_long=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_type_long=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5
- echo "${ECHO_T}$ac_cv_type_long" >&6
- echo "$as_me:$LINENO: checking size of long" >&5
- echo $ECHO_N "checking size of long... $ECHO_C" >&6
- if test "${ac_cv_sizeof_long+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test "$ac_cv_type_long" = yes; then
- # The cast to unsigned long works around a bug in the HP C Compiler
- # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
- # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
- # This bug is HP SR number 8606223364.
- if test "$cross_compiling" = yes; then
- # Depending upon the size, compute the lo and hi bounds.
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- static int test_array [1 - 2 * !(((long) (sizeof (long))) >= 0)];
- test_array [0] = 0
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_lo=0 ac_mid=0
- while :; do
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
- test_array [0] = 0
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_hi=$ac_mid; break
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_lo=`expr $ac_mid + 1`
- if test $ac_lo -le $ac_mid; then
- ac_lo= ac_hi=
- break
- fi
- ac_mid=`expr 2 '*' $ac_mid + 1`
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- done
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- static int test_array [1 - 2 * !(((long) (sizeof (long))) < 0)];
- test_array [0] = 0
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_hi=-1 ac_mid=-1
- while :; do
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- static int test_array [1 - 2 * !(((long) (sizeof (long))) >= $ac_mid)];
- test_array [0] = 0
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_lo=$ac_mid; break
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_hi=`expr '(' $ac_mid ')' - 1`
- if test $ac_mid -le $ac_hi; then
- ac_lo= ac_hi=
- break
- fi
- ac_mid=`expr 2 '*' $ac_mid`
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- done
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_lo= ac_hi=
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- # Binary search between lo and hi bounds.
- while test "x$ac_lo" != "x$ac_hi"; do
- ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- int
- main ()
- {
- static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
- test_array [0] = 0
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_hi=$ac_mid
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_lo=`expr '(' $ac_mid ')' + 1`
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- done
- case $ac_lo in
- ?*) ac_cv_sizeof_long=$ac_lo;;
- '') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
- See `config.log' for more details." >&5
- echo "$as_me: error: cannot compute sizeof (long), 77
- See `config.log' for more details." >&2;}
- { (exit 1); exit 1; }; } ;;
- esac
- else
- if test "$cross_compiling" = yes; then
- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
- See `config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See `config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- long longval () { return (long) (sizeof (long)); }
- unsigned long ulongval () { return (long) (sizeof (long)); }
- #include <stdio.h>
- #include <stdlib.h>
- int
- main ()
- {
- FILE *f = fopen ("conftest.val", "w");
- if (! f)
- exit (1);
- if (((long) (sizeof (long))) < 0)
- {
- long i = longval ();
- if (i != ((long) (sizeof (long))))
- exit (1);
- fprintf (f, "%ldn", i);
- }
- else
- {
- unsigned long i = ulongval ();
- if (i != ((long) (sizeof (long))))
- exit (1);
- fprintf (f, "%lun", i);
- }
- exit (ferror (f) || fclose (f) != 0);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_sizeof_long=`cat conftest.val`
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ( exit $ac_status )
- { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
- See `config.log' for more details." >&5
- echo "$as_me: error: cannot compute sizeof (long), 77
- See `config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
- fi
- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- fi
- rm -f conftest.val
- else
- ac_cv_sizeof_long=0
- fi
- fi
- echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5
- echo "${ECHO_T}$ac_cv_sizeof_long" >&6
- cat >>confdefs.h <<_ACEOF
- #define SIZEOF_LONG $ac_cv_sizeof_long
- _ACEOF
- if test $ac_cv_sizeof_long -ge 8
- then
- INT64_T_ALTERNATIVE=long
- echo "$as_me:$LINENO: checking for strtol" >&5
- echo $ECHO_N "checking for strtol... $ECHO_C" >&6
- if test "${ac_cv_func_strtol+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Define strtol to an innocuous variant, in case <limits.h> declares strtol.
- For example, HP-UX 11i <limits.h> declares gettimeofday. */
- #define strtol innocuous_strtol
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char strtol (); below.
- Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- <limits.h> exists even on freestanding compilers. */
- #ifdef __STDC__
- # include <limits.h>
- #else
- # include <assert.h>
- #endif
- #undef strtol
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- {
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char strtol ();
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_strtol) || defined (__stub___strtol)
- choke me
- #else
- char (*f) () = strtol;
- #endif
- #ifdef __cplusplus
- }
- #endif
- int
- main ()
- {
- return f != strtol;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_func_strtol=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_func_strtol=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_func_strtol" >&5
- echo "${ECHO_T}$ac_cv_func_strtol" >&6
- fi
- echo "$as_me:$LINENO: checking for __int64_t" >&5
- echo $ECHO_N "checking for __int64_t... $ECHO_C" >&6
- if test "${int64_t_HAVE___INT64_T+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test "$cross_compiling" = yes; then
- int64_t_HAVE___INT64_T=cross
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- main() { __int64_t x; exit (sizeof(x) >= 8 ? 0 : 1); }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- int64_t_HAVE___INT64_T=yes
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ( exit $ac_status )
- int64_t_HAVE___INT64_T=no
- fi
- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- fi
- echo "$as_me:$LINENO: result: $int64_t_HAVE___INT64_T" >&5
- echo "${ECHO_T}$int64_t_HAVE___INT64_T" >&6
- if test x"$int64_t_HAVE___INT64_T" = x"yes" -a "x$INT64_T_ALTERNATIVE" = xnone; then
- INT64_T_ALTERNATIVE=__int64_t
- fi
- echo "$as_me:$LINENO: checking for long long" >&5
- echo $ECHO_N "checking for long long... $ECHO_C" >&6
- if test "${int64_t_HAVE_LONG_LONG+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test "$cross_compiling" = yes; then
- int64_t_HAVE_LONG_LONG=cross
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- main() { long long x; exit (sizeof(x) >= 8 ? 0 : 1); }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- int64_t_HAVE_LONG_LONG=yes
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ( exit $ac_status )
- int64_t_HAVE_LONG_LONG=no
- fi
- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- fi
- echo "$as_me:$LINENO: result: $int64_t_HAVE_LONG_LONG" >&5
- echo "${ECHO_T}$int64_t_HAVE_LONG_LONG" >&6
- if test x"$int64_t_HAVE_LONG_LONG" = x"yes" -a "x$INT64_T_ALTERNATIVE" = xnone; then
- INT64_T_ALTERNATIVE="long long"
- fi
- echo "$as_me:$LINENO: checking for int64_t" >&5
- echo $ECHO_N "checking for int64_t... $ECHO_C" >&6
- if test "${ac_cv_type_int64_t+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <sys/types.h>
- #if STDC_HEADERS
- #include <stdlib.h>
- #include <stddef.h>
- #endif
- _ACEOF
- if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- $EGREP "(^|[^a-zA-Z_0-9])int64_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
- ac_cv_type_int64_t=yes
- else
- ac_cv_type_int64_t=no
- fi
- rm -f conftest*
- fi
- echo "$as_me:$LINENO: result: $ac_cv_type_int64_t" >&5
- echo "${ECHO_T}$ac_cv_type_int64_t" >&6
- if test $ac_cv_type_int64_t = no; then
- cat >>confdefs.h <<_ACEOF
- #define int64_t $INT64_T_ALTERNATIVE
- _ACEOF
- fi
- echo "$as_me:$LINENO: checking which kind of 64-bit int to use" >&5
- echo $ECHO_N "checking which kind of 64-bit int to use... $ECHO_C" >&6
- if test $ac_cv_type_int64_t = yes -o "$INT64_T_ALTERNATIVE" != none
- then
- if test "$INT64_T_ALTERNATIVE" = long -o "$ac_cv_func_strtoq" = yes -o "$ac_cv_func_strtoll" = yes
- then
- cat >>confdefs.h <<_ACEOF
- #define HAVE_INT64 1
- _ACEOF
- if test $ac_cv_type_int64_t = yes
- then
- echo "$as_me:$LINENO: result: int64_t" >&5
- echo "${ECHO_T}int64_t" >&6
- else
- echo "$as_me:$LINENO: result: $INT64_T_ALTERNATIVE" >&5
- echo "${ECHO_T}$INT64_T_ALTERNATIVE" >&6
- fi
- else
- echo "$as_me:$LINENO: result: missing strto 64-bit-type" >&5
- echo "${ECHO_T}missing strto 64-bit-type" >&6
- fi
- else
- echo "$as_me:$LINENO: result: none" >&5
- echo "${ECHO_T}none" >&6
- fi
- for ac_func in snprintf
- do
- as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
- echo "$as_me:$LINENO: checking for $ac_func" >&5
- echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
- if eval "test "${$as_ac_var+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
- For example, HP-UX 11i <limits.h> declares gettimeofday. */
- #define $ac_func innocuous_$ac_func
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char $ac_func (); below.
- Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- <limits.h> exists even on freestanding compilers. */
- #ifdef __STDC__
- # include <limits.h>
- #else
- # include <assert.h>
- #endif
- #undef $ac_func
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- {
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char $ac_func ();
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
- choke me
- #else
- char (*f) () = $ac_func;
- #endif
- #ifdef __cplusplus
- }
- #endif
- int
- main ()
- {
- return f != $ac_func;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_var=yes"
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- eval "$as_ac_var=no"
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
- if test `eval echo '${'$as_ac_var'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
- _ACEOF
- fi
- done
- if test "$enable_static" = "yes" ; then
- echo Explicitly enabling static compilation
- V_STATIC="-static"
- elif test "$enable_static" = "no" ; then
- echo Explicitly disabling static compilation
- V_STATIC=""
- else
- echo No explicit static compilation flag; setting V_STATIC to "$V_STATIC"
- fi
- #
- # tcl7.x needs a dynamic loading library (unless built with the
- # -disable-load flag). Try to find the appropriate one.
- if test ! -z "$V_NEED_DL" ; then
- V_LIB_DL=""
- case "$target" in
- *-*-solaris*)
- V_LIB_DL="dl"
- ;;
- sparc-sun-sunos*)
- V_LIB_DL="dl"
- ;;
- *-*-bsdi2.1)
- V_LIB_DL="dl"
- ;;
- *-*-bsdi3.0)
- V_LIB_DL="dl"
- ;;
- *-*-hpux*)
- V_LIB_DL="dld"
- ;;
- *-*-linux*)
- echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
- echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
- if test "${ac_cv_lib_dl_dlopen+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-ldl $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char dlopen ();
- int
- main ()
- {
- dlopen ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_dl_dlopen=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_dl_dlopen=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
- echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
- if test $ac_cv_lib_dl_dlopen = yes; then
- V_LIB_DL="dl"
- else
- V_LIB_DL="dld"
- fi
- ;;
- esac
- if test ! -z "$V_LIB_DL" ; then
- case "$target" in
- *-*-linux*)
- ;;
- *)
- as_ac_Lib=`echo "ac_cv_lib_$V_LIB_DL''_main" | $as_tr_sh`
- echo "$as_me:$LINENO: checking for main in -l$V_LIB_DL" >&5
- echo $ECHO_N "checking for main in -l$V_LIB_DL... $ECHO_C" >&6
- if eval "test "${$as_ac_Lib+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-l$V_LIB_DL $V_STATIC $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- int
- main ()
- {
- main ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_Lib=yes"
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- eval "$as_ac_Lib=no"
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
- if test `eval echo '${'$as_ac_Lib'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_LIB$V_LIB_DL" | $as_tr_cpp` 1
- _ACEOF
- LIBS="-l$V_LIB_DL $LIBS"
- else
- V_LIB_DL=""
- fi
- ;;
- esac
- fi
- if test ! -z "$V_LIB_DL" ; then
- case "$target" in
- *-*-bsdi*)
- ;;
- *-*-linux*)
- if test -z "$V_STATIC" ; then
- V_LIB="$V_LIB -l$V_LIB_DL"
- fi
- ;;
- *)
- V_LIB="$V_LIB -l$V_LIB_DL"
- ;;
- esac
- else
- echo "no dynamic load lib"
- fi
- fi
- if test "$host_cpu" = alpha ; then
- V_DEFINE="$V_DEFINE -DINT_64=u_long"
- fi
- # various include hacks
- dirs="/usr/src/local/include-fixes
- /import/mcast/include"
- for dir in $dirs; do
- if test -d $dir ; then
- V_INCLUDE="$V_INCLUDE -I$dir"
- fi
- done
- # always use -g with gcc during development (even with -O)
- # force noline so that we can debug all functions
- if test "$CC" = gcc && test -f .devel ; then
- V_CCOPT="$V_CCOPT -g -Wall -Werror"
- V_DEFINE="$V_DEFINE -fsigned-char -fno-inline"
- fi
- V_DEFINE="$V_DEFINE $V_SHM"
- V_TAR_TARGET=$target_os
- absolutize_list() {
- tmp=""
- for p
- do
- case $p in
- -L* | -I*) tmp="$tmp `absolutize $p`";;
- *) tmp="$tmp $p";;
- esac
- done
- echo $tmp
- }
- # Replace relative path with absolute path
- V_LIB_TCLCL=`absolutize_list $V_LIB_TCLCL`
- V_LIB_OTCL=`absolutize_list $V_LIB_OTCL`
- V_LIB_TCL=`absolutize_list $V_LIB_TCL`
- V_LIB_TK=`absolutize_list $V_LIB_TK`
- V_LIBS=`absolutize_list $V_LIBS`
- V_INCLUDES=`absolutize_list $V_INCLUDES`
- # Since SMASH and MASH need different sets of libraries, we
- # use each lib definition seperately instead of using V_LIBS.
- # Find a good install program. We prefer a C program (faster),
- # so one script is as good as another. But avoid the broken or
- # incompatible versions:
- # SysV /etc/install, /usr/sbin/install
- # SunOS /usr/etc/install
- # IRIX /sbin/install
- # AIX /bin/install
- # AmigaOS /C/install, which installs bootblocks on floppy discs
- # AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
- # AFS /usr/afsws/bin/install, which mishandles nonexistent args
- # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
- # OS/2's system install, which has a completely different semantic
- # ./install, which can be erroneously created by make from ./install.sh.
- echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
- echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6
- if test -z "$INSTALL"; then
- if test "${ac_cv_path_install+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- # Account for people who put trailing slashes in PATH elements.
- case $as_dir/ in
- ./ | .// | /cC/* |
- /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* |
- ?:\/os2\/install\/* | ?:\/OS2\/INSTALL\/* |
- /usr/ucb/* ) ;;
- *)
- # OSF1 and SCO ODT 3.0 have their own names for install.
- # Don't use installbsd from OSF since it installs stuff as root
- # by default.
- for ac_prog in ginstall scoinst install; do
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
- if test $ac_prog = install &&
- grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
- # AIX install. It has an incompatible calling convention.
- :
- elif test $ac_prog = install &&
- grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
- # program-specific install script used by HP pwplus--don't use.
- :
- else
- ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
- break 3
- fi
- fi
- done
- done
- ;;
- esac
- done
- fi
- if test "${ac_cv_path_install+set}" = set; then
- INSTALL=$ac_cv_path_install
- else
- # As a last resort, use the slow shell script. We don't cache a
- # path for INSTALL within a source directory, because that will
- # break other packages using the cache if that directory is
- # removed, or if the path is relative.
- INSTALL=$ac_install_sh
- fi
- fi
- echo "$as_me:$LINENO: result: $INSTALL" >&5
- echo "${ECHO_T}$INSTALL" >&6
- # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
- # It thinks the first close brace ends the variable substitution.
- test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
- test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
- test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
- ac_config_files="$ac_config_files Makefile"
- cat >confcache <<_ACEOF
- # This file is a shell script that caches the results of configure
- # tests run on this system so they can be shared between configure
- # scripts and configure runs, see configure's option --config-cache.
- # It is not useful on other systems. If it contains results you don't
- # want to keep, you may remove or edit it.
- #
- # config.status only pays attention to the cache file if you give it
- # the --recheck option to rerun configure.
- #
- # `ac_cv_env_foo' variables (set or unset) will be overridden when
- # loading this file, other *unset* `ac_cv_foo' will be assigned the
- # following values.
- _ACEOF
- # The following way of writing the cache mishandles newlines in values,
- # but we know of no workaround that is simple, portable, and efficient.
- # So, don't put newlines in cache variables' values.
- # Ultrix sh set writes to stderr and can't be redirected directly,
- # and sets the high bit in the cache file unless we assign to the vars.
- {
- (set) 2>&1 |
- case `(ac_space=' '; set | grep ac_space) 2>&1` in
- *ac_space= *)
- # `set' does not quote correctly, so add quotes (double-quote
- # substitution turns \\ into \, and sed turns \ into ).
- sed -n
- "s/'/'\\''/g;
- s/^\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\)=\(.*\)/\1='\2'/p"
- ;;
- *)
- # `set' quotes correctly as required by POSIX, so do not add quotes.
- sed -n
- "s/^\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\)=\(.*\)/\1=\2/p"
- ;;
- esac;
- } |
- sed '
- t clear
- : clear
- s/^([^=]*)=(.*[{}].*)$/test "${1+set}" = set || &/
- t end
- /^ac_cv_env/!s/^([^=]*)=(.*)$/1=${1=2}/
- : end' >>confcache
- if diff $cache_file confcache >/dev/null 2>&1; then :; else
- if test -w $cache_file; then
- test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
- cat confcache >$cache_file
- else
- echo "not updating unwritable cache $cache_file"
- fi
- fi
- rm -f confcache
- test "x$prefix" = xNONE && prefix=$ac_default_prefix
- # Let make expand exec_prefix.
- test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
- # VPATH may cause trouble with some makes, so we remove $(srcdir),
- # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
- # trailing colons and then remove the whole line if VPATH becomes empty
- # (actually we leave an empty line to preserve line numbers).
- if test "x$srcdir" = x.; then
- ac_vpsub='/^[ ]*VPATH[ ]*=/{
- s/:*$(srcdir):*/:/;
- s/:*${srcdir}:*/:/;
- s/:*@srcdir@:*/:/;
- s/^([^=]*=[ ]*):*/1/;
- s/:*$//;
- s/^[^=]*=[ ]*$//;
- }'
- fi
- DEFS=-DHAVE_CONFIG_H
- ac_libobjs=
- ac_ltlibobjs=
- for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
- # 1. Remove the extension, and $U if already installed.
- ac_i=`echo "$ac_i" |
- sed 's/$U././;s/.o$//;s/.obj$//'`
- # 2. Add them.
- ac_libobjs="$ac_libobjs $ac_i$U.$ac_objext"
- ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
- done
- LIBOBJS=$ac_libobjs
- LTLIBOBJS=$ac_ltlibobjs
- : ${CONFIG_STATUS=./config.status}
- ac_clean_files_save=$ac_clean_files
- ac_clean_files="$ac_clean_files $CONFIG_STATUS"
- { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
- echo "$as_me: creating $CONFIG_STATUS" >&6;}
- cat >$CONFIG_STATUS <<_ACEOF
- #! $SHELL
- # Generated by $as_me.
- # Run this file to recreate the current configuration.
- # Compiler output produced by configure, useful for debugging
- # configure, is in config.log if it exists.
- debug=false
- ac_cs_recheck=false
- ac_cs_silent=false
- SHELL=${CONFIG_SHELL-$SHELL}
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- ## --------------------- ##
- ## M4sh Initialization. ##
- ## --------------------- ##
- # Be Bourne compatible
- if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
- emulate sh
- NULLCMD=:
- # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
- # is contrary to our usage. Disable this feature.
- alias -g '${1+"$@"}'='"$@"'
- elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
- set -o posix
- fi
- DUALCASE=1; export DUALCASE # for MKS sh
- # Support unset when possible.
- if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
- as_unset=unset
- else
- as_unset=false
- fi
- # Work around bugs in pre-3.0 UWIN ksh.
- $as_unset ENV MAIL MAILPATH
- PS1='$ '
- PS2='> '
- PS4='+ '
- # NLS nuisances.
- for as_var in
- LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION
- LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER
- LC_TELEPHONE LC_TIME
- do
- if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
- eval $as_var=C; export $as_var
- else
- $as_unset $as_var
- fi
- done
- # Required to use basename.
- if expr a : '(a)' >/dev/null 2>&1; then
- as_expr=expr
- else
- as_expr=false
- fi
- if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
- as_basename=basename
- else
- as_basename=false
- fi
- # Name of the executable.
- as_me=`$as_basename "$0" ||
- $as_expr X/"$0" : '.*/([^/][^/]*)/*$' |
- X"$0" : 'X(//)$' |
- X"$0" : 'X(/)$' |
- . : '(.)' 2>/dev/null ||
- echo X/"$0" |
- sed '/^.*/([^/][^/]*)/*$/{ s//1/; q; }
- /^X/(//)$/{ s//1/; q; }
- /^X/(/).*/{ s//1/; q; }
- s/.*/./; q'`
- # PATH needs CR, and LINENO needs CR and PATH.
- # Avoid depending upon Character Ranges.
- as_cr_letters='abcdefghijklmnopqrstuvwxyz'
- as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
- as_cr_Letters=$as_cr_letters$as_cr_LETTERS
- as_cr_digits='0123456789'
- as_cr_alnum=$as_cr_Letters$as_cr_digits
- # The user is always right.
- if test "${PATH_SEPARATOR+set}" != set; then
- echo "#! /bin/sh" >conf$$.sh
- echo "exit 0" >>conf$$.sh
- chmod +x conf$$.sh
- if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
- PATH_SEPARATOR=';'
- else
- PATH_SEPARATOR=:
- fi
- rm -f conf$$.sh
- fi
- as_lineno_1=$LINENO
- as_lineno_2=$LINENO
- as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
- test "x$as_lineno_1" != "x$as_lineno_2" &&
- test "x$as_lineno_3" = "x$as_lineno_2" || {
- # Find who we are. Look in the path if we contain no path at all
- # relative or not.
- case $0 in
- *[\/]* ) as_myself=$0 ;;
- *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
- done
- ;;
- esac
- # We did not find ourselves, most probably we were run as `sh COMMAND'
- # in which case we are not to be found in the path.
- if test "x$as_myself" = x; then
- as_myself=$0
- fi
- if test ! -f "$as_myself"; then
- { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
- echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
- { (exit 1); exit 1; }; }
- fi
- case $CONFIG_SHELL in
- '')
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for as_base in sh bash ksh sh5; do
- case $as_dir in
- /*)
- if ("$as_dir/$as_base" -c '
- as_lineno_1=$LINENO
- as_lineno_2=$LINENO
- as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
- test "x$as_lineno_1" != "x$as_lineno_2" &&
- test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
- $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
- $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
- CONFIG_SHELL=$as_dir/$as_base
- export CONFIG_SHELL
- exec "$CONFIG_SHELL" "$0" ${1+"$@"}
- fi;;
- esac
- done
- done
- ;;
- esac
- # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
- # uniformly replaced by the line number. The first 'sed' inserts a
- # line-number line before each line; the second 'sed' does the real
- # work. The second script uses 'N' to pair each line-number line
- # with the numbered line, and appends trailing '-' during
- # substitution so that $LINENO is not a special case at line end.
- # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
- # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
- sed '=' <$as_myself |
- sed '
- N
- s,$,-,
- : loop
- s,^(['$as_cr_digits']*)(.*)[$]LINENO([^'$as_cr_alnum'_]),1213,
- t loop
- s,-$,,
- s,^['$as_cr_digits']*n,,
- ' >$as_me.lineno &&
- chmod +x $as_me.lineno ||
- { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
- echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
- { (exit 1); exit 1; }; }
- # Don't try to exec as it changes $[0], causing all sort of problems
- # (the dirname of $[0] is not the place where we might find the
- # original and so on. Autoconf is especially sensible to this).
- . ./$as_me.lineno
- # Exit status is that of the last command.
- exit
- }
- case `echo "testingc"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
- *c*,-n*) ECHO_N= ECHO_C='
- ' ECHO_T=' ' ;;
- *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
- *) ECHO_N= ECHO_C='c' ECHO_T= ;;
- esac
- if expr a : '(a)' >/dev/null 2>&1; then
- as_expr=expr
- else
- as_expr=false
- fi
- rm -f conf$$ conf$$.exe conf$$.file
- echo >conf$$.file
- if ln -s conf$$.file conf$$ 2>/dev/null; then
- # We could just check for DJGPP; but this test a) works b) is more generic
- # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
- if test -f conf$$.exe; then
- # Don't use ln at all; we don't have any links
- as_ln_s='cp -p'
- else
- as_ln_s='ln -s'
- fi
- elif ln conf$$.file conf$$ 2>/dev/null; then
- as_ln_s=ln
- else
- as_ln_s='cp -p'
- fi
- rm -f conf$$ conf$$.exe conf$$.file
- if mkdir -p . 2>/dev/null; then
- as_mkdir_p=:
- else
- test -d ./-p && rmdir ./-p
- as_mkdir_p=false
- fi
- as_executable_p="test -f"
- # Sed expression to map a string onto a valid CPP name.
- as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
- # Sed expression to map a string onto a valid variable name.
- as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
- # IFS
- # We need space, tab and new line, in precisely that order.
- as_nl='
- '
- IFS=" $as_nl"
- # CDPATH.
- $as_unset CDPATH
- exec 6>&1
- # Open the log real soon, to keep $[0] and so on meaningful, and to
- # report actual input values of CONFIG_FILES etc. instead of their
- # values after options handling. Logging --version etc. is OK.
- exec 5>>config.log
- {
- echo
- sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
- ## Running $as_me. ##
- _ASBOX
- } >&5
- cat >&5 <<_CSEOF
- This file was extended by $as_me, which was
- generated by GNU Autoconf 2.59. Invocation command line was
- CONFIG_FILES = $CONFIG_FILES
- CONFIG_HEADERS = $CONFIG_HEADERS
- CONFIG_LINKS = $CONFIG_LINKS
- CONFIG_COMMANDS = $CONFIG_COMMANDS
- $ $0 $@
- _CSEOF
- echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
- echo >&5
- _ACEOF
- # Files that config.status was made for.
- if test -n "$ac_config_files"; then
- echo "config_files="$ac_config_files"" >>$CONFIG_STATUS
- fi
- if test -n "$ac_config_headers"; then
- echo "config_headers="$ac_config_headers"" >>$CONFIG_STATUS
- fi
- if test -n "$ac_config_links"; then
- echo "config_links="$ac_config_links"" >>$CONFIG_STATUS
- fi
- if test -n "$ac_config_commands"; then
- echo "config_commands="$ac_config_commands"" >>$CONFIG_STATUS
- fi
- cat >>$CONFIG_STATUS <<_ACEOF
- ac_cs_usage="
- `$as_me' instantiates files from templates according to the
- current configuration.
- Usage: $0 [OPTIONS] [FILE]...
- -h, --help print this help, then exit
- -V, --version print version number, then exit
- -q, --quiet do not print progress messages
- -d, --debug don't remove temporary files
- --recheck update $as_me by reconfiguring in the same conditions
- --file=FILE[:TEMPLATE]
- instantiate the configuration file FILE
- --header=FILE[:TEMPLATE]
- instantiate the configuration header FILE
- Configuration files:
- $config_files
- Configuration headers:
- $config_headers
- Report bugs to <bug-autoconf@gnu.org>."
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- ac_cs_version="\
- config.status
- configured by $0, generated by GNU Autoconf 2.59,
- with options \"`echo "$ac_configure_args" | sed 's/[\""`$]/\\&/g'`\"
- Copyright (C) 2003 Free Software Foundation, Inc.
- This config.status script is free software; the Free Software Foundation
- gives unlimited permission to copy, distribute and modify it."
- srcdir=$srcdir
- INSTALL="$INSTALL"
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- # If no file are specified by the user, then we need to provide default
- # value. By we need to know if files were specified by the user.
- ac_need_defaults=:
- while test $# != 0
- do
- case $1 in
- --*=*)
- ac_option=`expr "x$1" : 'x([^=]*)='`
- ac_optarg=`expr "x$1" : 'x[^=]*=(.*)'`
- ac_shift=:
- ;;
- -*)
- ac_option=$1
- ac_optarg=$2
- ac_shift=shift
- ;;
- *) # This is not an option, so the user has probably given explicit
- # arguments.
- ac_option=$1
- ac_need_defaults=false;;
- esac
- case $ac_option in
- # Handling of the options.
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
- ac_cs_recheck=: ;;
- --version | --vers* | -V )
- echo "$ac_cs_version"; exit 0 ;;
- --he | --h)
- # Conflict between --help and --header
- { { echo "$as_me:$LINENO: error: ambiguous option: $1
- Try `$0 --help' for more information." >&5
- echo "$as_me: error: ambiguous option: $1
- Try `$0 --help' for more information." >&2;}
- { (exit 1); exit 1; }; };;
- --help | --hel | -h )
- echo "$ac_cs_usage"; exit 0 ;;
- --debug | --d* | -d )
- debug=: ;;
- --file | --fil | --fi | --f )
- $ac_shift
- CONFIG_FILES="$CONFIG_FILES $ac_optarg"
- ac_need_defaults=false;;
- --header | --heade | --head | --hea )
- $ac_shift
- CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
- ac_need_defaults=false;;
- -q | -quiet | --quiet | --quie | --qui | --qu | --q
- | -silent | --silent | --silen | --sile | --sil | --si | --s)
- ac_cs_silent=: ;;
- # This is an error.
- -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
- Try `$0 --help' for more information." >&5
- echo "$as_me: error: unrecognized option: $1
- Try `$0 --help' for more information." >&2;}
- { (exit 1); exit 1; }; } ;;
- *) ac_config_targets="$ac_config_targets $1" ;;
- esac
- shift
- done
- ac_configure_extra_args=
- if $ac_cs_silent; then
- exec 6>/dev/null
- ac_configure_extra_args="$ac_configure_extra_args --silent"
- fi
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- if $ac_cs_recheck; then
- echo "running $SHELL $0 " $ac_configure_args $ac_configure_extra_args " --no-create --no-recursion" >&6
- exec $SHELL $0 $ac_configure_args $ac_configure_extra_args --no-create --no-recursion
- fi
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- for ac_config_target in $ac_config_targets
- do
- case "$ac_config_target" in
- # Handling of arguments.
- "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
- "autoconf.h" ) CONFIG_HEADERS="$CONFIG_HEADERS autoconf.h" ;;
- *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
- echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
- { (exit 1); exit 1; }; };;
- esac
- done
- # If the user did not use the arguments to specify the items to instantiate,
- # then the envvar interface is used. Set only those that are not.
- # We use the long form for the default assignment because of an extremely
- # bizarre bug on SunOS 4.1.3.
- if $ac_need_defaults; then
- test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
- test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
- fi
- # Have a temporary directory for convenience. Make it in the build tree
- # simply because there is no reason to put it here, and in addition,
- # creating and moving files from /tmp can sometimes cause problems.
- # Create a temporary directory, and hook for its removal unless debugging.
- $debug ||
- {
- trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
- trap '{ (exit 1); exit 1; }' 1 2 13 15
- }
- # Create a (secure) tmp directory for tmp files.
- {
- tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
- test -n "$tmp" && test -d "$tmp"
- } ||
- {
- tmp=./confstat$$-$RANDOM
- (umask 077 && mkdir $tmp)
- } ||
- {
- echo "$me: cannot create a temporary directory in ." >&2
- { (exit 1); exit 1; }
- }
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- #
- # CONFIG_FILES section.
- #
- # No need to generate the scripts if there are no CONFIG_FILES.
- # This happens for instance when ./config.status config.h
- if test -n "$CONFIG_FILES"; then
- # Protect against being on the right side of a sed subst in config.status.
- sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
- s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
- s,@SHELL@,$SHELL,;t t
- s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
- s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
- s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
- s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
- s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
- s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
- s,@exec_prefix@,$exec_prefix,;t t
- s,@prefix@,$prefix,;t t
- s,@program_transform_name@,$program_transform_name,;t t
- s,@bindir@,$bindir,;t t
- s,@sbindir@,$sbindir,;t t
- s,@libexecdir@,$libexecdir,;t t
- s,@datadir@,$datadir,;t t
- s,@sysconfdir@,$sysconfdir,;t t
- s,@sharedstatedir@,$sharedstatedir,;t t
- s,@localstatedir@,$localstatedir,;t t
- s,@libdir@,$libdir,;t t
- s,@includedir@,$includedir,;t t
- s,@oldincludedir@,$oldincludedir,;t t
- s,@infodir@,$infodir,;t t
- s,@mandir@,$mandir,;t t
- s,@build_alias@,$build_alias,;t t
- s,@host_alias@,$host_alias,;t t
- s,@target_alias@,$target_alias,;t t
- s,@DEFS@,$DEFS,;t t
- s,@ECHO_C@,$ECHO_C,;t t
- s,@ECHO_N@,$ECHO_N,;t t
- s,@ECHO_T@,$ECHO_T,;t t
- s,@LIBS@,$LIBS,;t t
- s,@CC@,$CC,;t t
- s,@CFLAGS@,$CFLAGS,;t t
- s,@LDFLAGS@,$LDFLAGS,;t t
- s,@CPPFLAGS@,$CPPFLAGS,;t t
- s,@ac_ct_CC@,$ac_ct_CC,;t t
- s,@EXEEXT@,$EXEEXT,;t t
- s,@OBJEXT@,$OBJEXT,;t t
- s,@CPP@,$CPP,;t t
- s,@EGREP@,$EGREP,;t t
- s,@build@,$build,;t t
- s,@build_cpu@,$build_cpu,;t t
- s,@build_vendor@,$build_vendor,;t t
- s,@build_os@,$build_os,;t t
- s,@host@,$host,;t t
- s,@host_cpu@,$host_cpu,;t t
- s,@host_vendor@,$host_vendor,;t t
- s,@host_os@,$host_os,;t t
- s,@target@,$target,;t t
- s,@target_cpu@,$target_cpu,;t t
- s,@target_vendor@,$target_vendor,;t t
- s,@target_os@,$target_os,;t t
- s,@CXX@,$CXX,;t t
- s,@CXXFLAGS@,$CXXFLAGS,;t t
- s,@ac_ct_CXX@,$ac_ct_CXX,;t t
- s,@V_INCLUDE_X11@,$V_INCLUDE_X11,;t t
- s,@V_LIB_X11@,$V_LIB_X11,;t t
- s,@V_TCL_LIBRARY_FILES@,$V_TCL_LIBRARY_FILES,;t t
- s,@V_TCLSH@,$V_TCLSH,;t t
- s,@V_LIBRARY_TCL@,$V_LIBRARY_TCL,;t t
- s,@V_TKDOSNAMES@,$V_TKDOSNAMES,;t t
- s,@V_LIBRARY_TK@,$V_LIBRARY_TK,;t t
- s,@V_TCL2CPP@,$V_TCL2CPP,;t t
- s,@V_INCLUDES@,$V_INCLUDES,;t t
- s,@V_LIBS@,$V_LIBS,;t t
- s,@V_DEFINES@,$V_DEFINES,;t t
- s,@V_STATIC@,$V_STATIC,;t t
- s,@V_TAR_TARGET@,$V_TAR_TARGET,;t t
- s,@V_LIB_TCLCL@,$V_LIB_TCLCL,;t t
- s,@V_LIB_OTCL@,$V_LIB_OTCL,;t t
- s,@V_LIB_TCL@,$V_LIB_TCL,;t t
- s,@V_LIB_TK@,$V_LIB_TK,;t t
- s,@V_ALL@,$V_ALL,;t t
- s,@V_CCOPT@,$V_CCOPT,;t t
- s,@V_TAR_EXTRA@,$V_TAR_EXTRA,;t t
- s,@V_LIB@,$V_LIB,;t t
- s,@V_DEFINE@,$V_DEFINE,;t t
- s,@V_SIGRET@,$V_SIGRET,;t t
- s,@V_SHELL@,$V_SHELL,;t t
- s,@V_TARCMD@,$V_TARCMD,;t t
- s,@V_INCLUDE@,$V_INCLUDE,;t t
- s,@V_OBJ@,$V_OBJ,;t t
- s,@V_BROKEN_OBJ@,$V_BROKEN_OBJ,;t t
- s,@V_OBJ_CRYPT@,$V_OBJ_CRYPT,;t t
- s,@V_RANLIB@,$V_RANLIB,;t t
- s,@V_AR@,$V_AR,;t t
- s,@V_STLOBJ@,$V_STLOBJ,;t t
- s,@V_NS_TCL_LIB_STL@,$V_NS_TCL_LIB_STL,;t t
- s,@V_LSSCRIPT@,$V_LSSCRIPT,;t t
- s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
- s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
- s,@INSTALL_DATA@,$INSTALL_DATA,;t t
- s,@LIBOBJS@,$LIBOBJS,;t t
- s,@LTLIBOBJS@,$LTLIBOBJS,;t t
- CEOF
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- # Split the substitutions into bite-sized pieces for seds with
- # small command number limits, like on Digital OSF/1 and HP-UX.
- ac_max_sed_lines=48
- ac_sed_frag=1 # Number of current file.
- ac_beg=1 # First line for current file.
- ac_end=$ac_max_sed_lines # Line after last line for current file.
- ac_more_lines=:
- ac_sed_cmds=
- while $ac_more_lines; do
- if test $ac_beg -gt 1; then
- sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
- else
- sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
- fi
- if test ! -s $tmp/subs.frag; then
- ac_more_lines=false
- else
- # The purpose of the label and of the branching condition is to
- # speed up the sed processing (if there are no `@' at all, there
- # is no need to browse any of the substitutions).
- # These are the two extra sed commands mentioned above.
- (echo ':t
- /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
- if test -z "$ac_sed_cmds"; then
- ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
- else
- ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
- fi
- ac_sed_frag=`expr $ac_sed_frag + 1`
- ac_beg=$ac_end
- ac_end=`expr $ac_end + $ac_max_sed_lines`
- fi
- done
- if test -z "$ac_sed_cmds"; then
- ac_sed_cmds=cat
- fi
- fi # test -n "$CONFIG_FILES"
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
- # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
- case $ac_file in
- - | *:- | *:-:* ) # input from stdin
- cat >$tmp/stdin
- ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
- ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
- *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
- ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
- * ) ac_file_in=$ac_file.in ;;
- esac
- # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
- ac_dir=`(dirname "$ac_file") 2>/dev/null ||
- $as_expr X"$ac_file" : 'X(.*[^/])//*[^/][^/]*/*$' |
- X"$ac_file" : 'X(//)[^/]' |
- X"$ac_file" : 'X(//)$' |
- X"$ac_file" : 'X(/)' |
- . : '(.)' 2>/dev/null ||
- echo X"$ac_file" |
- sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
- /^X(//)[^/].*/{ s//1/; q; }
- /^X(//)$/{ s//1/; q; }
- /^X(/).*/{ s//1/; q; }
- s/.*/./; q'`
- { if $as_mkdir_p; then
- mkdir -p "$ac_dir"
- else
- as_dir="$ac_dir"
- as_dirs=
- while test ! -d "$as_dir"; do
- as_dirs="$as_dir $as_dirs"
- as_dir=`(dirname "$as_dir") 2>/dev/null ||
- $as_expr X"$as_dir" : 'X(.*[^/])//*[^/][^/]*/*$' |
- X"$as_dir" : 'X(//)[^/]' |
- X"$as_dir" : 'X(//)$' |
- X"$as_dir" : 'X(/)' |
- . : '(.)' 2>/dev/null ||
- echo X"$as_dir" |
- sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
- /^X(//)[^/].*/{ s//1/; q; }
- /^X(//)$/{ s//1/; q; }
- /^X(/).*/{ s//1/; q; }
- s/.*/./; q'`
- done
- test ! -n "$as_dirs" || mkdir $as_dirs
- fi || { { echo "$as_me:$LINENO: error: cannot create directory "$ac_dir"" >&5
- echo "$as_me: error: cannot create directory "$ac_dir"" >&2;}
- { (exit 1); exit 1; }; }; }
- ac_builddir=.
- if test "$ac_dir" != .; then
- ac_dir_suffix=/`echo "$ac_dir" | sed 's,^.[\/],,'`
- # A "../" for each directory in $ac_dir_suffix.
- ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\/]*,../,g'`
- else
- ac_dir_suffix= ac_top_builddir=
- fi
- case $srcdir in
- .) # No --srcdir option. We are building in place.
- ac_srcdir=.
- if test -z "$ac_top_builddir"; then
- ac_top_srcdir=.
- else
- ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
- fi ;;
- [\/]* | ?:[\/]* ) # Absolute path.
- ac_srcdir=$srcdir$ac_dir_suffix;
- ac_top_srcdir=$srcdir ;;
- *) # Relative path.
- ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
- ac_top_srcdir=$ac_top_builddir$srcdir ;;
- esac
- # Do not use `cd foo && pwd` to compute absolute paths, because
- # the directories may not exist.
- case `pwd` in
- .) ac_abs_builddir="$ac_dir";;
- *)
- case "$ac_dir" in
- .) ac_abs_builddir=`pwd`;;
- [\/]* | ?:[\/]* ) ac_abs_builddir="$ac_dir";;
- *) ac_abs_builddir=`pwd`/"$ac_dir";;
- esac;;
- esac
- case $ac_abs_builddir in
- .) ac_abs_top_builddir=${ac_top_builddir}.;;
- *)
- case ${ac_top_builddir}. in
- .) ac_abs_top_builddir=$ac_abs_builddir;;
- [\/]* | ?:[\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
- *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
- esac;;
- esac
- case $ac_abs_builddir in
- .) ac_abs_srcdir=$ac_srcdir;;
- *)
- case $ac_srcdir in
- .) ac_abs_srcdir=$ac_abs_builddir;;
- [\/]* | ?:[\/]* ) ac_abs_srcdir=$ac_srcdir;;
- *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
- esac;;
- esac
- case $ac_abs_builddir in
- .) ac_abs_top_srcdir=$ac_top_srcdir;;
- *)
- case $ac_top_srcdir in
- .) ac_abs_top_srcdir=$ac_abs_builddir;;
- [\/]* | ?:[\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
- *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
- esac;;
- esac
- case $INSTALL in
- [\/$]* | ?:[\/]* ) ac_INSTALL=$INSTALL ;;
- *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
- esac
- if test x"$ac_file" != x-; then
- { echo "$as_me:$LINENO: creating $ac_file" >&5
- echo "$as_me: creating $ac_file" >&6;}
- rm -f "$ac_file"
- fi
- # Let's still pretend it is `configure' which instantiates (i.e., don't
- # use $as_me), people would be surprised to read:
- # /* config.h. Generated by config.status. */
- if test x"$ac_file" = x-; then
- configure_input=
- else
- configure_input="$ac_file. "
- fi
- configure_input=$configure_input"Generated from `echo $ac_file_in |
- sed 's,.*/,,'` by configure."
- # First look for the input files in the build tree, otherwise in the
- # src tree.
- ac_file_inputs=`IFS=:
- for f in $ac_file_in; do
- case $f in
- -) echo $tmp/stdin ;;
- [\/$]*)
- # Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
- echo "$as_me: error: cannot find input file: $f" >&2;}
- { (exit 1); exit 1; }; }
- echo "$f";;
- *) # Relative
- if test -f "$f"; then
- # Build tree
- echo "$f"
- elif test -f "$srcdir/$f"; then
- # Source tree
- echo "$srcdir/$f"
- else
- # /dev/null tree
- { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
- echo "$as_me: error: cannot find input file: $f" >&2;}
- { (exit 1); exit 1; }; }
- fi;;
- esac
- done` || { (exit 1); exit 1; }
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- sed "$ac_vpsub
- $extrasub
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- :t
- /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
- s,@configure_input@,$configure_input,;t t
- s,@srcdir@,$ac_srcdir,;t t
- s,@abs_srcdir@,$ac_abs_srcdir,;t t
- s,@top_srcdir@,$ac_top_srcdir,;t t
- s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
- s,@builddir@,$ac_builddir,;t t
- s,@abs_builddir@,$ac_abs_builddir,;t t
- s,@top_builddir@,$ac_top_builddir,;t t
- s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
- s,@INSTALL@,$ac_INSTALL,;t t
- " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
- rm -f $tmp/stdin
- if test x"$ac_file" != x-; then
- mv $tmp/out $ac_file
- else
- cat $tmp/out
- rm -f $tmp/out
- fi
- done
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- #
- # CONFIG_HEADER section.
- #
- # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
- # NAME is the cpp macro being defined and VALUE is the value it is being given.
- #
- # ac_d sets the value in "#define NAME VALUE" lines.
- ac_dA='s,^([ ]*)#([ ]*define[ ][ ]*)'
- ac_dB='[ ].*$,1#2'
- ac_dC=' '
- ac_dD=',;t'
- # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
- ac_uA='s,^([ ]*)#([ ]*)undef([ ][ ]*)'
- ac_uB='$,1#2define3'
- ac_uC=' '
- ac_uD=',;t'
- for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
- # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
- case $ac_file in
- - | *:- | *:-:* ) # input from stdin
- cat >$tmp/stdin
- ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
- ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
- *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
- ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
- * ) ac_file_in=$ac_file.in ;;
- esac
- test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
- echo "$as_me: creating $ac_file" >&6;}
- # First look for the input files in the build tree, otherwise in the
- # src tree.
- ac_file_inputs=`IFS=:
- for f in $ac_file_in; do
- case $f in
- -) echo $tmp/stdin ;;
- [\/$]*)
- # Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
- echo "$as_me: error: cannot find input file: $f" >&2;}
- { (exit 1); exit 1; }; }
- # Do quote $f, to prevent DOS paths from being IFS'd.
- echo "$f";;
- *) # Relative
- if test -f "$f"; then
- # Build tree
- echo "$f"
- elif test -f "$srcdir/$f"; then
- # Source tree
- echo "$srcdir/$f"
- else
- # /dev/null tree
- { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
- echo "$as_me: error: cannot find input file: $f" >&2;}
- { (exit 1); exit 1; }; }
- fi;;
- esac
- done` || { (exit 1); exit 1; }
- # Remove the trailing spaces.
- sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
- _ACEOF
- # Transform confdefs.h into two sed scripts, `conftest.defines' and
- # `conftest.undefs', that substitutes the proper values into
- # config.h.in to produce config.h. The first handles `#define'
- # templates, and the second `#undef' templates.
- # And first: Protect against being on the right side of a sed subst in
- # config.status. Protect against being in an unquoted here document
- # in config.status.
- rm -f conftest.defines conftest.undefs
- # Using a here document instead of a string reduces the quoting nightmare.
- # Putting comments in sed scripts is not portable.
- #
- # `end' is used to avoid that the second main sed command (meant for
- # 0-ary CPP macros) applies to n-ary macro definitions.
- # See the Autoconf documentation for `clear'.
- cat >confdef2sed.sed <<_ACEOF
- s/[\&,]/\&/g
- s,[\$`],\&,g
- t clear
- : clear
- s,^[ ]*#[ ]*define[ ][ ]*([^ (][^ (]*)(([^)]*))[ ]*(.*)$,${ac_dA}1${ac_dB}12${ac_dC}3${ac_dD},gp
- t end
- s,^[ ]*#[ ]*define[ ][ ]*([^ ][^ ]*)[ ]*(.*)$,${ac_dA}1${ac_dB}1${ac_dC}2${ac_dD},gp
- : end
- _ACEOF
- # If some macros were called several times there might be several times
- # the same #defines, which is useless. Nevertheless, we may not want to
- # sort them, since we want the *last* AC-DEFINE to be honored.
- uniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
- sed 's/ac_d/ac_u/g' conftest.defines >conftest.undefs
- rm -f confdef2sed.sed
- # This sed command replaces #undef with comments. This is necessary, for
- # example, in the case of _POSIX_SOURCE, which is predefined and required
- # on some systems where configure will not decide to define it.
- cat >>conftest.undefs <<_ACEOF
- s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
- _ACEOF
- # Break up conftest.defines because some shells have a limit on the size
- # of here documents, and old seds have small limits too (100 cmds).
- echo ' # Handle all the #define templates only if necessary.' >>$CONFIG_STATUS
- echo ' if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then' >>$CONFIG_STATUS
- echo ' # If there are no defines, we may have an empty if/fi' >>$CONFIG_STATUS
- echo ' :' >>$CONFIG_STATUS
- rm -f conftest.tail
- while grep . conftest.defines >/dev/null
- do
- # Write a limited-size here document to $tmp/defines.sed.
- echo ' cat >$tmp/defines.sed <<CEOF' >>$CONFIG_STATUS
- # Speed up: don't consider the non `#define' lines.
- echo '/^[ ]*#[ ]*define/!b' >>$CONFIG_STATUS
- # Work around the forget-to-reset-the-flag bug.
- echo 't clr' >>$CONFIG_STATUS
- echo ': clr' >>$CONFIG_STATUS
- sed ${ac_max_here_lines}q conftest.defines >>$CONFIG_STATUS
- echo 'CEOF
- sed -f $tmp/defines.sed $tmp/in >$tmp/out
- rm -f $tmp/in
- mv $tmp/out $tmp/in
- ' >>$CONFIG_STATUS
- sed 1,${ac_max_here_lines}d conftest.defines >conftest.tail
- rm -f conftest.defines
- mv conftest.tail conftest.defines
- done
- rm -f conftest.defines
- echo ' fi # grep' >>$CONFIG_STATUS
- echo >>$CONFIG_STATUS
- # Break up conftest.undefs because some shells have a limit on the size
- # of here documents, and old seds have small limits too (100 cmds).
- echo ' # Handle all the #undef templates' >>$CONFIG_STATUS
- rm -f conftest.tail
- while grep . conftest.undefs >/dev/null
- do
- # Write a limited-size here document to $tmp/undefs.sed.
- echo ' cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS
- # Speed up: don't consider the non `#undef'
- echo '/^[ ]*#[ ]*undef/!b' >>$CONFIG_STATUS
- # Work around the forget-to-reset-the-flag bug.
- echo 't clr' >>$CONFIG_STATUS
- echo ': clr' >>$CONFIG_STATUS
- sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS
- echo 'CEOF
- sed -f $tmp/undefs.sed $tmp/in >$tmp/out
- rm -f $tmp/in
- mv $tmp/out $tmp/in
- ' >>$CONFIG_STATUS
- sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail
- rm -f conftest.undefs
- mv conftest.tail conftest.undefs
- done
- rm -f conftest.undefs
- cat >>$CONFIG_STATUS <<_ACEOF
- # Let's still pretend it is `configure' which instantiates (i.e., don't
- # use $as_me), people would be surprised to read:
- # /* config.h. Generated by config.status. */
- if test x"$ac_file" = x-; then
- echo "/* Generated by configure. */" >$tmp/config.h
- else
- echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
- fi
- cat $tmp/in >>$tmp/config.h
- rm -f $tmp/in
- if test x"$ac_file" != x-; then
- if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
- { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
- echo "$as_me: $ac_file is unchanged" >&6;}
- else
- ac_dir=`(dirname "$ac_file") 2>/dev/null ||
- $as_expr X"$ac_file" : 'X(.*[^/])//*[^/][^/]*/*$' |
- X"$ac_file" : 'X(//)[^/]' |
- X"$ac_file" : 'X(//)$' |
- X"$ac_file" : 'X(/)' |
- . : '(.)' 2>/dev/null ||
- echo X"$ac_file" |
- sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
- /^X(//)[^/].*/{ s//1/; q; }
- /^X(//)$/{ s//1/; q; }
- /^X(/).*/{ s//1/; q; }
- s/.*/./; q'`
- { if $as_mkdir_p; then
- mkdir -p "$ac_dir"
- else
- as_dir="$ac_dir"
- as_dirs=
- while test ! -d "$as_dir"; do
- as_dirs="$as_dir $as_dirs"
- as_dir=`(dirname "$as_dir") 2>/dev/null ||
- $as_expr X"$as_dir" : 'X(.*[^/])//*[^/][^/]*/*$' |
- X"$as_dir" : 'X(//)[^/]' |
- X"$as_dir" : 'X(//)$' |
- X"$as_dir" : 'X(/)' |
- . : '(.)' 2>/dev/null ||
- echo X"$as_dir" |
- sed '/^X(.*[^/])//*[^/][^/]*/*$/{ s//1/; q; }
- /^X(//)[^/].*/{ s//1/; q; }
- /^X(//)$/{ s//1/; q; }
- /^X(/).*/{ s//1/; q; }
- s/.*/./; q'`
- done
- test ! -n "$as_dirs" || mkdir $as_dirs
- fi || { { echo "$as_me:$LINENO: error: cannot create directory "$ac_dir"" >&5
- echo "$as_me: error: cannot create directory "$ac_dir"" >&2;}
- { (exit 1); exit 1; }; }; }
- rm -f $ac_file
- mv $tmp/config.h $ac_file
- fi
- else
- cat $tmp/config.h
- rm -f $tmp/config.h
- fi
- done
- _ACEOF
- cat >>$CONFIG_STATUS <<_ACEOF
- { (exit 0); exit 0; }
- _ACEOF
- chmod +x $CONFIG_STATUS
- ac_clean_files=$ac_clean_files_save
- # configure is writing to config.log, and then calls config.status.
- # config.status does its own redirection, appending to config.log.
- # Unfortunately, on DOS this fails, as config.log is still kept open
- # by configure, so config.status won't be able to write to it; its
- # output is simply discarded. So we exec the FD to /dev/null,
- # effectively closing config.log, so it can be properly (re)opened and
- # appended to by config.status. When coming back to configure, we
- # need to make the FD available again.
- if test "$no_create" != yes; then
- ac_cs_success=:
- ac_config_status_args=
- test "$silent" = yes &&
- ac_config_status_args="$ac_config_status_args --quiet"
- exec 5>/dev/null
- $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
- exec 5>>config.log
- # Use ||, not &&, to avoid exiting from the if with $? = 1, which
- # would make configure fail if this is the last instruction.
- $ac_cs_success || { (exit 1); exit 1; }
- fi
- if test ! -d gen ; then
- echo "creating ./gen"
- mkdir gen
- fi
- if test ! -d bin ; then
- echo "creating ./bin"
- mkdir bin
- fi
- if test -f .devel -o "$enable_devel" = "yes" ; then
- make depend
- fi